Properties Methods Events Config Options Direct Link

# Class Ext.slider.Thumb

Package: | Ext.slider
Defined In: | Slider.js
Class: | Thumb
Extends: | Object

Represents a single thumb element on a Slider. This would not usually be created manually and would instead be created internally by an Ext.Slider.

## Config Options

Config Options | Defined By
--- | ---
| constrain : Boolean True to constrain the thumb so that it cannot overlap its siblings | Thumb
| slider : Ext.slider.MultiSlider The Slider to render to (required) | Thumb

## Public Properties

Property | Defined By
--- | ---
| slider : Ext.slider.MultiSlider The slider this thumb is contained within | Thumb

## Public Methods

Method | Defined By
--- | ---

disable() : void
Disables the thumb if it is currently enabled
Disables the thumb if it is currently enabled
Parameters:

- None.

Returns:

- void

Thumb

enable() : void
Enables the thumb if it is currently disabled
Enables the thumb if it is currently disabled
Parameters:

- None.

Returns:

- void

Thumb

initEvents() : void
Sets up an Ext.dd.DragTracker for this thumb
Sets up an Ext.dd.DragTracker for this thumb
Parameters:

- None.

Returns:

- void

Thumb

render() : void
Renders the thumb into a slider
Renders the thumb into a slider
Parameters:

- None.

Returns:

- void

Thumb

## Public Events

This class has no public events.